Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.catedit
Class CategoryModelSupport

    java.lang.Object
      com.tonbeller.wcf.catedit.CategoryModelSupport

All Implemented Interfaces:
  CategoryModel

public class CategoryModelSupport
extends java.lang.Object
implements CategoryModel

Created on 09.12.2002

Author:
  av

Constructor Summary
`CategoryModelSupport()`

Method Summary
`void` | `addCategoryModelChangeListener(CategoryModelChangeListener l)`
`void` | `fireModelChanged()`
`java.util.List` | `getCategories()` Returns the categories.
`void` | `removeCategoryModelChangeListener(CategoryModelChangeListener l)`
`void` | `setCategories(java.util.List categories)` Sets the categories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryModelSupport

    public CategoryModelSupport()

Method Detail

### getCategories

    public java.util.List getCategories()

  Returns the categories.

  Specified by:
    `getCategories` in interface `CategoryModel`
  Returns:
    List

### setCategories

    public void setCategories(java.util.List categories)

  Sets the categories.

  Parameters:
    `categories` - The categories to set

### addCategoryModelChangeListener

    public void addCategoryModelChangeListener(CategoryModelChangeListener l)

  Specified by:
    `addCategoryModelChangeListener` in interface `CategoryModel`

### removeCategoryModelChangeListener

    public void removeCategoryModelChangeListener(CategoryModelChangeListener l)

  Specified by:
    `removeCategoryModelChangeListener` in interface `CategoryModel`

### fireModelChanged

    public void fireModelChanged()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD